function [gradients con] = asl_pca_column(col,viewit)

[coeff, score, latent, tsquare] = pca(col);

con = cumsum(latent)./sum(latent);
con(2:end)=con(2:end)-con(1);

if exist('viewit','var')==1
%Plot distribution
plot(col(:,1),col(:,2),'b.');
hold on
end

cen = mean(col);
d=sqrt((col(:,1)-cen(1)).^2 + (col(:,2)-cen(2)).^2);
max_len=max(d(:));

m1=coeff(2,1)/coeff(1,1);
c1=cen(2)-cen(1)*m1;
m2=coeff(2,2)/coeff(1,2);
c2=cen(2)-cen(1)*m2;

x=max_len/sqrt(m1^2+1);
x1=[cen(1)-x/2, cen(1)+x/2];

x=(con(2)/con(1))*max_len/sqrt(m2^2+1);
x2=[cen(1)-x/2, cen(1)+x/2];

y1=m1*x1+c1;
y2=m2*x2+c2;

if exist('viewit','var')==1
plot(x1,y1,'r','LineWidth',2); 
plot(x2,y2,'g','LineWidth',2); 

axis image ij; %hold off
end
gradients=[m1 m2];
end
