function ncoords = asl_rotate_coords(coords,a, theta, vec)

% rotate around a=
% 1 - x-axis
% 2 - y-axis
% 3 - z-axis
%
%

if a==1
    R = [1,0,0,0;0,cos(theta), -sin(theta),0;0,sin(theta),cos(theta),0;0,0,0,1];
end
if a==2
    R = [cos(theta), 0, -sin(theta),0;0 1 0 0;-sin(theta),0, cos(theta),0;0,0,0,1];
end
if a==3
    R = [cos(theta), -sin(theta),0,0;sin(theta),cos(theta),0,0;0,0,1,0;0,0,0,1];
end

T = [1,0,0,-vec(1,1);0,1,0,-vec(2,1);0,0,1,-vec(3,1);0,0,0,1];
iT = [1,0,0,vec(1,1);0,1,0,vec(2,1);0,0,1,vec(3,1);0,0,0,1];

ncoords = zeros(4,size(coords,1));
coords = coords.';
old_coords = ones(4,size(ncoords,2));
old_coords(1:3,:)=coords;
for l=1:size(ncoords,2)
    ncoords(:,l) = iT*(R*(T*old_coords(:,l)));
end

ncoords=ncoords(1:3,:).';

end